libetonyek::KEYCollector Class Reference documentation

libetonyek::KEYCollector Class Reference

`#include <KEYCollector.h>`

Inheritance diagram for libetonyek::KEYCollector:

## Public Member Functions
| KEYCollector (IWORKDocumentInterface *document)
| ~KEYCollector () override
void | collectPresentationSize (const IWORKSize &size)
KEYLayerPtr_t | collectLayer ()
void | insertLayer (const KEYLayerPtr_t &layer)
KEYSlidePtr_t | collectSlide ()
KEYPlaceholderPtr_t | collectTextPlaceholder (const IWORKStylePtr_t &style, bool title, const boost::optional< unsigned > &resizeFlags=boost::none)
void | insertTextPlaceholder (const KEYPlaceholderPtr_t &placeholder)
void | collectNote ()
void | collectStickyNote () override
void | setSlideStyle (const IWORKStylePtr_t &style)
void | startDocument ()
void | sendSlides (const std::deque< KEYSlidePtr_t > &slides)
void | endDocument ()
void | startSlides ()
void | endSlides ()
void | startThemes ()
void | endThemes ()
void | startPage ()
void | endPage ()
void | startLayer ()
void | endLayer ()
Public Member Functions inherited from libetonyek::IWORKCollector
| IWORKCollector (IWORKDocumentInterface *document)
virtual | ~IWORKCollector ()
void | setRecorder (const std::shared_ptr< IWORKRecorder > &recorder)
void | collectStyle (const IWORKStylePtr_t &style)
void | setGraphicStyle (const IWORKStylePtr_t &style)
void | collectGeometry (const IWORKGeometryPtr_t &geometry)
void | setAccumulateTransformTo (bool accumulate)
void | collectBezier (const IWORKPathPtr_t &path)
void | collectLine (const IWORKLinePtr_t &line)
void | collectShape (const boost::optional< int > &order=boost::none, const boost::optional< unsigned > &resizeFlags=boost::none, bool locked=false)
void | collectBezierPath ()
void | collectPolygonPath (const IWORKSize &size, unsigned edges)
void | collectRoundedRectanglePath (const IWORKSize &size, double radius)
void | collectArrowPath (const IWORKSize &size, double headWidth, double stemRelYPos, bool doubleSided)
void | collectStarPath (const IWORKSize &size, unsigned points, double innerRadius)
void | collectConnectionPath (const IWORKConnectionPath &path)
void | collectCalloutPath (const IWORKSize &size, double radius, double tailSize, double tailX, double tailY, bool quoteBubble)
void | collectImage (const IWORKMediaContentPtr_t &image, const IWORKGeometryPtr_t &cropGeometry=IWORKGeometryPtr_t(), const boost::optional< int > &order=boost::none, bool locked=false)
void | collectMedia (const IWORKMediaContentPtr_t &content, const IWORKGeometryPtr_t &cropGeometry=IWORKGeometryPtr_t(), const boost::optional< int > &order=boost::none)
void | collectStylesheet (const IWORKStylesheetPtr_t &stylesheet)
void | collectMetadata (const IWORKMetadata &metadata)
void | collectHeader (const std::string &name)
void | collectFooter (const std::string &name)
void | collectTable (const std::shared_ptr< IWORKTable > &table)
void | collectText (const std::shared_ptr< IWORKText > &text)
void | startDocument (const librevenge::RVNGPropertyList &props)
void | endDocument ()
void | startAttachment ()
void | endAttachment ()
void | startAttachments ()
void | endAttachments ()
void | startGroup ()
void | endGroup ()
void | openGroup ()
void | closeGroup ()
bool | getOpenGroupLevel () const
void | startLevel ()
void | endLevel ()
void | pushStyle ()
void | popStyle ()
void | pushStylesheet (const IWORKStylesheetPtr_t &stylesheet)
void | popStylesheet ()
IWORKStylesheetPtr_t | getStylesheet () const
virtual boost::optional< std::string > | getWorkSpaceName () const
IWORKOutputManager & | getOutputManager ()
virtual std::shared_ptr< IWORKTable > | createTable (const IWORKTableNameMapPtr_t &tableNameMap, IWORKFormatNameMap &formatNameMap, const IWORKLanguageManager &langManager) const
virtual std::shared_ptr< IWORKText > | createText (const IWORKLanguageManager &langManager, bool discardEmptyContent=false, bool allowListInsertion=true) const

## Protected Attributes
bool | m_inSlides
Protected Attributes inherited from libetonyek::IWORKCollector
IWORKDocumentInterface * | m_document
std::shared_ptr< IWORKRecorder > | m_recorder
std::stack< Level > | m_levelStack
IWORKStyleStack | m_styleStack
std::stack< IWORKStylesheetPtr_t > | m_stylesheetStack
IWORKOutputManager | m_outputManager
std::deque< IWORKStylePtr_t > | m_newStyles
std::shared_ptr< IWORKTable > | m_currentTable
std::shared_ptr< IWORKText > | m_currentText
IWORKHeaderFooterMap_t | m_headers
IWORKHeaderFooterMap_t | m_footers
std::stack< IWORKPathPtr_t > | m_pathStack
IWORKPathPtr_t | m_currentPath
std::stack< bool > | m_attachmentStack
bool | m_inAttachment
bool | m_inAttachments

## Private Member Functions
void | insertSlide (const KEYSlidePtr_t &slide, bool isMaster, const boost::optional< std::string > &pageName=boost::none)
void | drawTable () override
void | drawMedia (double x, double y, const librevenge::RVNGPropertyList &data) override
void | fillShapeProperties (librevenge::RVNGPropertyList &props) override
bool | createFrameStylesForTextBox () const override
void | drawTextBox (const IWORKTextPtr_t &text, const glm::dmat3 &trafo, const IWORKGeometryPtr_t &boundingBox, const librevenge::RVNGPropertyList &style) override

## Private Attributes
IWORKSize | m_size
KEYSlidePtr_t | m_currentSlide
IWORKOutputElements | m_notes
IWORKOutputElements | m_stickyNotes
bool | m_pageOpened
bool | m_layerOpened
int | m_layerCount

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKCollector
void | fillMetadata (librevenge::RVNGPropertyList &props)
void | drawShape (const IWORKShapePtr_t &shape)
| IWORKCollector (const IWORKCollector &)
IWORKCollector & | operator= (const IWORKCollector &)
Static Protected Member Functions inherited from libetonyek::IWORKCollector
static void | fillGraphicProps (const IWORKStylePtr_t style, librevenge::RVNGPropertyList &props, bool isSurface=true, bool isFrame=false)
static void | fillLayoutProps (const IWORKStylePtr_t style, librevenge::RVNGPropertyList &props)
static void | fillTextAutoSizeProps (const boost::optional< unsigned > &resizeFlags, const IWORKGeometryPtr_t &boundingBox, librevenge::RVNGPropertyList &props)
static void | fillWrapProps (const IWORKStylePtr_t style, librevenge::RVNGPropertyList &props, const boost::optional< int > &order)
static void | writeFill (const IWORKFill &fill, librevenge::RVNGPropertyList &props)

## Constructor & Destructor Documentation

## ◆ KEYCollector()

libetonyek::KEYCollector::KEYCollector | ( | IWORKDocumentInterface * | document | ) |
| explicit

## ◆ ~KEYCollector()

libetonyek::KEYCollector::~KEYCollector | ( |  | ) |
| override

## Member Function Documentation

## ◆ collectLayer()

KEYLayerPtr_t libetonyek::KEYCollector::collectLayer | ( |  | ) |

Referenced by libetonyek::KEY6Parser::parseSlide().

## ◆ collectNote()

void libetonyek::KEYCollector::collectNote | ( |  | ) |

Referenced by libetonyek::KEY6Parser::parseNotes().

## ◆ collectPresentationSize()

void libetonyek::KEYCollector::collectPresentationSize | ( | const IWORKSize & | size | ) |

Referenced by libetonyek::KEY6Parser::parsePresentation().

## ◆ collectSlide()

KEYSlidePtr_t libetonyek::KEYCollector::collectSlide | ( |  | ) |

Referenced by libetonyek::KEY6Parser::parseSlide().

## ◆ collectStickyNote()

void libetonyek::KEYCollector::collectStickyNote | ( |  | ) |
| overridevirtual

Reimplemented from libetonyek::IWORKCollector.

Referenced by libetonyek::KEY6Parser::parseStickyNote().

## ◆ collectTextPlaceholder()

KEYPlaceholderPtr_t libetonyek::KEYCollector::collectTextPlaceholder | ( | const IWORKStylePtr_t & | style,
|  | bool | title,
|  | const boost::optional< unsigned > & | resizeFlags = boost::none )

Referenced by libetonyek::KEY6Parser::parsePlaceholder().

## ◆ createFrameStylesForTextBox()

bool libetonyek::KEYCollector::createFrameStylesForTextBox | ( |  | ) | const
| inlineoverrideprivatevirtual

Implements libetonyek::IWORKCollector.

## ◆ drawMedia()

void libetonyek::KEYCollector::drawMedia | ( | double | x,
|  | double | y,
|  | const librevenge::RVNGPropertyList & | data )
| overrideprivatevirtual

Implements libetonyek::IWORKCollector.

## ◆ drawTable()

void libetonyek::KEYCollector::drawTable | ( |  | ) |
| overrideprivatevirtual

Implements libetonyek::IWORKCollector.

## ◆ drawTextBox()

void libetonyek::KEYCollector::drawTextBox | ( | const IWORKTextPtr_t & | text,
|  | const glm::dmat3 & | trafo,
|  | const IWORKGeometryPtr_t & | boundingBox,
|  | const librevenge::RVNGPropertyList & | style )
| overrideprivatevirtual

Implements libetonyek::IWORKCollector.

Referenced by insertTextPlaceholder().

## ◆ endDocument()

void libetonyek::KEYCollector::endDocument | ( |  | ) |

Referenced by libetonyek::KEY6Parser::parsePresentation().

## ◆ endLayer()

void libetonyek::KEYCollector::endLayer | ( |  | ) |

Referenced by libetonyek::KEY6Parser::parseSlide().

## ◆ endPage()

void libetonyek::KEYCollector::endPage | ( |  | ) |

Referenced by libetonyek::KEY6Parser::parseSlide().

## ◆ endSlides()

void libetonyek::KEYCollector::endSlides | ( |  | ) |

Referenced by libetonyek::KEY6Parser::parsePresentation().

## ◆ endThemes()

void libetonyek::KEYCollector::endThemes | ( |  | ) |

## ◆ fillShapeProperties()

void libetonyek::KEYCollector::fillShapeProperties | ( | librevenge::RVNGPropertyList & | props | ) |
| overrideprivatevirtual

Implements libetonyek::IWORKCollector.

## ◆ insertLayer()

void libetonyek::KEYCollector::insertLayer | ( | const KEYLayerPtr_t & | layer | ) |

Referenced by libetonyek::KEY6Parser::parseSlide().

## ◆ insertSlide()

void libetonyek::KEYCollector::insertSlide | ( | const KEYSlidePtr_t & | slide,
|  | bool | isMaster,
|  | const boost::optional< std::string > & | pageName = boost::none )
| private

Referenced by sendSlides().

## ◆ insertTextPlaceholder()

void libetonyek::KEYCollector::insertTextPlaceholder | ( | const KEYPlaceholderPtr_t & | placeholder | ) |

Referenced by libetonyek::KEY6Parser::parsePlaceholder().

## ◆ sendSlides()

void libetonyek::KEYCollector::sendSlides | ( | const std::deque< KEYSlidePtr_t > & | slides | ) |

Referenced by libetonyek::KEY6Parser::parsePresentation().

## ◆ setSlideStyle()

void libetonyek::KEYCollector::setSlideStyle | ( | const IWORKStylePtr_t & | style | ) |

Referenced by libetonyek::KEY6Parser::parseSlide().

## ◆ startDocument()

void libetonyek::KEYCollector::startDocument | ( |  | ) |

Referenced by libetonyek::KEY6Parser::parsePresentation().

## ◆ startLayer()

void libetonyek::KEYCollector::startLayer | ( |  | ) |

Referenced by libetonyek::KEY6Parser::parseSlide().

## ◆ startPage()

void libetonyek::KEYCollector::startPage | ( |  | ) |

Referenced by libetonyek::KEY6Parser::parseSlide().

## ◆ startSlides()

void libetonyek::KEYCollector::startSlides | ( |  | ) |

Referenced by libetonyek::KEY6Parser::parsePresentation().

## ◆ startThemes()

void libetonyek::KEYCollector::startThemes | ( |  | ) |

## Member Data Documentation

## ◆ m_currentSlide

KEYSlidePtr_t libetonyek::KEYCollector::m_currentSlide
| private

Referenced by collectSlide(), endPage(), insertLayer(), KEYCollector(), setSlideStyle(), and startPage().

## ◆ m_inSlides

bool libetonyek::KEYCollector::m_inSlides
| protected

Referenced by endSlides(), KEYCollector(), startPage(), startSlides(), and ~KEYCollector().

## ◆ m_layerCount

int libetonyek::KEYCollector::m_layerCount
| private

Referenced by insertLayer(), and KEYCollector().

## ◆ m_layerOpened

bool libetonyek::KEYCollector::m_layerOpened
| private

Referenced by collectLayer(), endLayer(), insertLayer(), KEYCollector(), startLayer(), and startPage().

## ◆ m_notes

IWORKOutputElements libetonyek::KEYCollector::m_notes
| private

Referenced by collectNote(), collectSlide(), endPage(), KEYCollector(), and startPage().

## ◆ m_pageOpened

bool libetonyek::KEYCollector::m_pageOpened
| private

Referenced by collectSlide(), endLayer(), endPage(), KEYCollector(), setSlideStyle(), startLayer(), and startPage().

## ◆ m_size

IWORKSize libetonyek::KEYCollector::m_size
| private

Referenced by collectPresentationSize(), insertSlide(), and KEYCollector().

## ◆ m_stickyNotes

IWORKOutputElements libetonyek::KEYCollector::m_stickyNotes
| private

Referenced by collectSlide(), collectStickyNote(), endPage(), KEYCollector(), and startPage().

The documentation for this class was generated from the following files:

- KEYCollector.h
- KEYCollector.cpp